Subject: Re: FVWM: Q: Dynamic Bind of Menu Items to Keys?

From: Dominik Vogt <[email-masked]>
Date: Tue, 27 Apr 1999 12:09:39 +0200

On Mon, Apr 26, 1999 at 06:34:12PM -0400, [email-masked] wrote:
> Dear Sir or Madam,
>   Is there a way to dynamically bind menu items to keys? For example I
> have
> Key Escape      A       C      Menu RootMenu Nop
> Key Escape      A       CS       WindowList
> 
> AddToMenu RootMenu	"Root Menu"	Title
> +			"XTerm"		Exec exec xterm 
> +			"Rxvt"		Exec exec rxvt
> 
> in my .fvwm2rc and can hit C-S-Escape and then '3' to get the third window
> on the list.  Is there a way to make the items in my RootMenu happen if I
> do something like:
> 
> C-Escape X    >>> do the Xterm item
> C-Escape R    >>> do the Rxvt item

No, you can't do it right now, but something like this is on my to-do
list. I'm currently working on a variety of similar things and menu
items will be one of them.

Bye

Dominik ^_^

-- 
Dominik Vogt, Hewlett-Packard GmbH, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/14-4596, fax: 07031/14-3883, [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].